<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use App\Models\Department;
use App\Models\User;
use Database\Factories\DepartmentFactory;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        Department::factory()->count(10)->create();
        $this->call(RoleSeed::class);
        User::factory()->admin()->create([
            'email' => 'admin@example.com',
        ]);
    
        // Create Team Member user
        User::factory()->teamMember()->create([
            'email' => 'teammember@example.com',
        ]);
    
        // Create Auditor user
        User::factory()->auditor()->create([
            'email' => 'auditor@example.com',
        ]);
    
        // Create multiple random users for each role
        User::factory()->count(5)->admin()->create();
        User::factory()->count(10)->teamMember()->create();
        User::factory()->count(3)->auditor()->create();
    }
}
