<?php

use App\Http\Controllers\DepartmentController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

// Route::get('/dashboard', function () {
//    return view('dashboard');
// })->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profiles', [ProfileController::class, 'index'])->name('profile.index')->middleware('role:auditor');
    Route::get('/profile/{user}', [ProfileController::class, 'edit'])->name('profile.edit')->middleware('role:auditor');
    Route::patch('/profile/{user}', [ProfileController::class, 'update'])->name('profile.update')->middleware('role:auditor');
    Route::delete('/profile/{user}', [ProfileController::class, 'destroy'])->name('profile.destroy')->middleware('role:auditor');

    Route::prefix('department')->as('department.')->group(function () {
        Route::get('/index', [DepartmentController::class, 'index'])->name('index')->middleware('role:auditor');
        Route::get('/create', [DepartmentController::class, 'create'])->name('create')->middleware('role:auditor');
        Route::post('/store', [DepartmentController::class, 'store'])->name('store')->middleware('role:auditor');
        Route::get('/edit/{department}', [DepartmentController::class, 'edit'])->name('edit')->middleware('role:auditor');
        Route::put('/update/{department}', [DepartmentController::class, 'update'])->name('update')->middleware('role:auditor');
        Route::delete('/destroy/{department}', [DepartmentController::class, 'destroy'])->name('destroy')->middleware('role:auditor');
    });

});

require __DIR__.'/auth.php';
